diff --git a/ChangeLog.txt b/ChangeLog.txt
index 75a62899c6..dbf4416887 100644
--- a/ChangeLog.txt
+++ b/ChangeLog.txt
@@ -7,6 +7,7 @@ Broker:
 - Strip whitespace from end of config file string options. Closes #1566.
 - Satisfy valgrind when exiting on error due to not being able to open a
   listening socket, by calling freeaddrinfo. Closes #1565.
+- Fix config->user not being freed on exit. Closes #1564.
 
 
 1.6.8 - 20191128
diff --git a/src/conf.c b/src/conf.c
index 8320f89da3..f122f7af2a 100644
--- a/src/conf.c
+++ b/src/conf.c
@@ -292,6 +292,7 @@ void config__cleanup(struct mosquitto__config *config)
 	mosquitto__free(config->security_options.password_file);
 	mosquitto__free(config->security_options.psk_file);
 	mosquitto__free(config->pid_file);
+	mosquitto__free(config->user);
 	if(config->listeners){
 		for(i=0; i<config->listener_count; i++){
 			mosquitto__free(config->listeners[i].host);
